
TYPO3.Flow - Bug # 25961

Status: Resolved Priority: Should have
Author: Aske Ertmann Category: Error
Created: 2011-04-14 Assigned To: Christian Müller
Updated: 2012-05-31 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: FLOW3 1.0.0
Subject: HTML should be escaped in the pre output of DebugExceptionHandler
Description

I noticed this today when doing some debugging. Seems the html outputted in the pre tags isn't escaped..

<pre>00173:    echo '<html><body><textarea>' . $response . '</textarea></body></html>';
00174:   } else {

</pre>

Associated revisions
Revision fa8fd72a - 2012-03-13 18:17 - Christian Müller

[BUGFIX] HTML should be escaped in Debug Exception

HTML in the code that is output as part of the stack trace is
escaped now.

Change-Id: I0b2a1bcf5ee72a3212dec8b6541f5e17b6b3c29c
Fixes: #25961
Releases: 1.0, 1.1

Revision 1c331653 - 2012-05-30 21:35 - Christian Müller

[BUGFIX] HTML should be escaped in Debug Exception

HTML in the code that is output as part of the stack trace is
escaped now.

Change-Id: I0b2a1bcf5ee72a3212dec8b6541f5e17b6b3c29c
Fixes: #25961
Releases: 1.0, 1.1

History
#1 - 2011-10-21 13:20 - Karsten Dambekalns
- Affected Flow version set to FLOW3 1.0.0

#2 - 2012-03-13 18:20 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9624

#3 - 2012-05-30 21:36 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/11752

#4 - 2012-05-30 21:38 - Karsten Dambekalns
- Category set to Error
- Assigned To set to Christian Müller
- Target version set to 1.0.5
- Has patch set to No

#5 - 2012-05-31 14:01 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
